<template>
  <div class="store">
    <div class="slider">
      <div>
        <!-- <b-carousel
          id="carousel-1"
          v-model="slide"
          :interval="4000"
          controls
          indicators
          background="#ababab"
          img-width="1024"
          img-height="400"
          style="text-shadow: 1px 1px 2px #333;"
          @sliding-start="onSlideStart"
          @sliding-end="onSlideEnd"
        >
          <b-carousel-slide height="480" img-src="https://contents.mediadecathlon.com/p1248562/01448487cc01f6437afa685728065895/p1248562.jpg?size=200"></b-carousel-slide>

          <b-carousel-slide img-src="https://picsum.photos/1024/480/?image=54">
          </b-carousel-slide>

          <b-carousel-slide img-src="https://picsum.photos/1024/480/?image=58"></b-carousel-slide>
          <b-carousel-slide>
            <template v-slot:img>
              <img
                class="d-block img-fluid w-100"
                width="1000"
                height="300"
                src="https://picsum.photos/1024/480/?image=55"
                alt="image slot"
              />
            </template>
          </b-carousel-slide>

        </b-carousel> -->

        <div class="carousel">
    <ul class="slides">
      <input type="radio" name="radio-buttons" id="img-1" checked />
      <li class="slide-container">
        <div class="slide-image">
          <img src="../assets/images/store1.jpg"> 
        </div>
        <div class="carousel-controls">
          <label for="img-3" class="prev-slide">
            <span>&lsaquo;</span>
          </label>
          <label for="img-2" class="next-slide">
            <span>&rsaquo;</span>
          </label>
        </div>
      </li>
      <input type="radio" name="radio-buttons" id="img-2" />
      <li class="slide-container">
        <div class="slide-image">
          <img src="../assets/images/store2.jpg">
        </div>
        <div class="carousel-controls">
          <label for="img-1" class="prev-slide">
            <span>&lsaquo;</span>
          </label>
          <label for="img-3" class="next-slide">
            <span>&rsaquo;</span>
          </label>
        </div>
      </li>
      <input type="radio" name="radio-buttons" id="img-3" />
      <li class="slide-container">
        <div class="slide-image">
          <img src="../assets/images/store4.jpg">
        </div>
        <div class="carousel-controls">
          <label for="img-2" class="prev-slide">
            <span>&lsaquo;</span>
          </label>
          <label for="img-1" class="next-slide">
            <span>&rsaquo;</span>
          </label>
        </div>
      </li>
      <div class="carousel-dots">
        <label for="img-1" class="carousel-dot" id="img-dot-1"></label>
        <label for="img-2" class="carousel-dot" id="img-dot-2"></label>
        <label for="img-3" class="carousel-dot" id="img-dot-3"></label>
      </div>
    </ul>
  </div>
      </div>
    </div>
    <div class="store-content">
      <div class="containera">
        <h3>
          <u>Products</u>
        </h3>
        <div class="product_list">
          <div class="content-loader" v-if="content_loading == true">
              <Loader color="#F3E367"/>
          </div>
          <div class="tile" v-if="content_loading == false">
          <div id="shop" class="cards-list">
            <!-- <div class="card-container" v-b-modal.detail v-for="product in product_list" :key="product.id">
              <img
                class="prod"
                :src="product.url"
                alt="masks"
                
              />
              <div class="caption">
                <h1>{{product.name}}</h1>
              </div>
            </div> -->
            <div class="card 1" v-b-modal.detail v-for="product in product_list" :key="product.id">
              <div class="card_image"> <img :src="product.url" @click="getDetails(product)"/> </div>
              <div class="card_title title-black">
                <p>{{product.name}}</p>
              </div>
            </div>
            <!-- <div class="card-container" v-b-modal.detail>
              <img
                class="prod"
                src="https://data.whicdn.com/images/139675650/original.jpg"
                alt="hats"
              />
              <div class="caption">
                <h1>Hats</h1>
              </div>
            </div>
            <div class="card-container" v-b-modal.detail>
              <img
                class="prod"
                src="https://data.whicdn.com/images/56298016/original.jpg"
                alt="shoes"
              />
              <div class="caption">
                <h1>Shoes</h1>
              </div>
            </div> -->
          </div>
        </div>
        <!-- <div class="tile">
          <div id="shop" class="grid">
            <div class="card-container" v-b-modal.detail>
              <img
                class="prod"
                src="https://i.pinimg.com/originals/0c/ea/11/0cea11941b8aaed78a5c7b971b0bba0a.jpg"
                alt="masks"
              />
              <div class="caption">
                <h1>Masks</h1>
              </div>
            </div>
            <div class="card-container" v-b-modal.detail>
              <img
                class="prod"
                src="https://data.whicdn.com/images/139675650/original.jpg"
                alt="hats"
              />
              <div class="caption">
                <h1>Hats</h1>
              </div>
            </div>
            <div class="card-container" v-b-modal.detail>
              <img
                class="prod"
                src="https://data.whicdn.com/images/56298016/original.jpg"
                alt="shoes"
              />
              <div class="caption">
                <h1>Shoes</h1>
              </div>
            </div>
          </div>
        </div> -->
        </div>
        
      </div>
    </div>
    <div>
      <b-modal id="detail" hide-footer size="xl" centered hide-header>
        <div class="product-details">
          <div class="product-left">
            <div class="product-info">
              <div class="product-manufacturer">{{product_detail.name}}</div>
              <!-- <div class="product-title">LOUNGE CHAIR</div> -->
              <div class="product-price" price-data="320.03">
                ₹{{product_detail.offer_price}} <s>{{product_detail.price}}</s>
                <!-- <span class="product-price-cents">03</span> -->
              </div>
            </div>
            <div class="product-image">
              <img
                :src="product_detail.url"
              />
            </div>
          </div>
          <div class="product-right">
            <div
              class="product-description"
            >{{product_detail.long_descp}}</div>

            <div
              class="product-description"
            >{{product_detail.short_descp}}</div>

            <div class="product-rating">
              <i class="fa fa-star rating" star-data="1"></i>
              <i class="fa fa-star rating" star-data="2"></i>
              <i class="fa fa-star rating" star-data="3"></i>
              <i class="fa fa-star" star-data="4"></i>
              <i class="fa fa-star" star-data="5"></i>
            </div>
            <div class="product-quantity">
              <label for="product-quantity-input" class="product-quantity-label">Quantity</label>
              <div class="product-quantity-subtract">
                <i class="fa fa-chevron-left"></i>
              </div>
              <div>
                <input type="text" id="product-quantity-input" v-on:keyup="addAmount" v-model="quantity"/>
              </div>
              <div class="product-quantity-add">
                <i class="fa fa-chevron-right"></i>
              </div>
            </div>
          </div>
          <div class="product-bottom">
            <div class="product-checkout">
              Total Price
              <div class="product-checkout-total">
                <i class="fa fa-usd"></i>
                <div class="product-checkout-total-amount">{{total_price}}</div>
              </div>
            </div>
            <div class="product-checkout-actions">
              <!-- <router-link to="/cart" class="navbar-anchor"> -->
                <a class="add-to-cart" href="#" @click="addToCart">Add to Cart</a>
              <!-- </router-link> -->
            </div>
          </div>
        </div>
      </b-modal>
    </div>
  </div>
</template>
<script>
import { stores } from '.././main.js';
import Loader from '../components/loader';
export default {
  data() {
    return {
      quantity: 1,
      content_loading : false,
      btn_loader : false,
      slide: 0,
      sliding: null,
      product_list: [],
      product_detail: {},
      total_price:0.00
    }
  },
  components: {
    Loader
  },
  mounted() {
    debugger
    this.content_loading = true
    var data = this.$store.state.user
    this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/find-all`, data)
          .then(response => {
            debugger
            this.content_loading = false
            var that = this
            if(response.data.status == 200) {
              debugger
                console.log('product_list-->', response.data.data);
                this.product_list = response.data.data
                
            }
            else {
              console.log('No products found');
            }
          })
          .catch(error => {
            console.log('error', error);
          })
  },
  methods: {
    onSlideStart(slide) {
      this.sliding = true;
    },
    onSlideEnd(slide) {
      this.sliding = false;
    },
    getDetails(product) {
      
      this.product_detail = product
      
      this.total_price = product.offer_price

    },
    addAmount() {
      if(this.total_price != 0) {
        this.total_price = this.total_price * this.quantity
      }
      else {
        this.total_price = this.product_detail.offer_price * this.quantity
      }
      
    },
    addToCart() {
      this.product_detail.quantity = this.quantity
      this.product_detail.total_price = this.total_price
      stores.dispatch('setProducts', this.product_detail)
      this.routes.push('/cart')
    }
  },
};
</script>

<style scoped>
@import url(https://fonts.googleapis.com/css?family=Lobster);
h3, h3 u {
  font-family: "Lobster";
}
.modal-content, .modal-body {
  padding: 50px !important;
}
.carousel {
    /* margin-left: 15%;
    margin-right: 15%; */
    height: 800px;
}
.cards-list {
  z-index: 0;
  width: 100%;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.card {
  cursor: pointer;
  margin: 30px auto;
  width: 300px;
  height: 300px;
  border-radius: 40px;
box-shadow: 5px 5px 30px 7px rgba(0,0,0,0.25), -5px -5px 30px 7px rgba(0,0,0,0.22);
  cursor: pointer;
  transition: 0.4s;
}

.card .card_image {
  width: inherit;
  height: inherit;
  /* border-radius: 40px; */
}

.card .card_image img {
  width: inherit;
  height: inherit;
  /* border-radius: 40px; */
  object-fit: cover;
}

.card .card_title {
  text-align: center;
  border-radius: 0px 0px 40px 40px;
  font-family: sans-serif;
  font-weight: bold;
  font-size: 30px;
  margin-top: -80px;
  height: 40px;
}

.card:hover {
  transform: scale(0.9, 0.9);
  box-shadow: 5px 5px 30px 15px rgba(0,0,0,0.25), 
    -5px -5px 30px 15px rgba(0,0,0,0.22);
}

.title-white {
  color: white;
}

.title-black {
  color: black;
}

.card_title p {
  font-size: 15px;
  color: black;
}

@media all and (max-width: 500px) {
  .card-list {
    /* On small screens, we are no longer using row direction but column */
    flex-direction: column;
  }
}
.card {
  border-radius: 45px !important;
}

/*
.card {
  margin: 30px auto;
  width: 300px;
  height: 300px;
  border-radius: 40px;
  background-image: url('https://i.redd.it/b3esnz5ra34y.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-repeat: no-repeat;
box-shadow: 5px 5px 30px 7px rgba(0,0,0,0.25), -5px -5px 30px 7px rgba(0,0,0,0.22);
  transition: 0.4s;
}
*/
ul.slides {
  height: 100%;
    display: block;
    position: relative;
    /* height: 600px; */
    margin: 0;
    padding: 0;
    overflow: hidden;
    list-style: none;
}

.slides * {
    user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
}

ul.slides input {
    display: none; 
}


.slide-container { 
    display: block; 
}

.slide-image {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    opacity: 0;
    transition: all .7s ease-in-out;
}   

.slide-image img {
    width: auto;
    min-width: 100%;
    height: 100%;
}

.carousel-controls {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    font-size: 100px;
    line-height: 600px;
    color: #fff;
}

.carousel-controls label {
    display: none;
    position: absolute;
    padding: 0 20px;
    opacity: 0;
    transition: opacity .2s;
    cursor: pointer;
}

.slide-image:hover + .carousel-controls label{
    opacity: 0.5;
}

.carousel-controls label:hover {
    opacity: 1;
}

.carousel-controls .prev-slide {
    width: 49%;
    text-align: left;
    left: 0;
}

.carousel-controls .next-slide {
    width: 49%;
    text-align: right;
    right: 0;
}

.carousel-dots {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 20px;
    z-index: 999;
    text-align: center;
}

.carousel-dots .carousel-dot {
    display: inline-block;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #fff;
    opacity: 0.5;
    margin: 10px;
}

input:checked + .slide-container .slide-image {
    opacity: 1;
    transform: scale(1);
    transition: opacity 1s ease-in-out;
}

input:checked + .slide-container .carousel-controls label {
     display: block; 
}

input#img-1:checked ~ .carousel-dots label#img-dot-1,
input#img-2:checked ~ .carousel-dots label#img-dot-2,
input#img-3:checked ~ .carousel-dots label#img-dot-3,
input#img-4:checked ~ .carousel-dots label#img-dot-4,
input#img-5:checked ~ .carousel-dots label#img-dot-5,
input#img-6:checked ~ .carousel-dots label#img-dot-6 {
	opacity: 1;
}


input:checked + .slide-container .nav label { display: block; }

.product_list {
  height: 500px !important;
}
.product-left {
  display: inline-block;
  padding-right: 4%;
  vertical-align: top;
  width: 46%;
}

.product-right {
  display: inline-block;
  vertical-align: top;
  width: 49%;
}

.product-bottom {
  border-top: 1px solid #ccc;
  position: relative;
  padding: 50px;
}
.modal-body {
  padding: 3rem !important;
}

@media (max-width: 650px) {
  .product-left,
  .product-right,
  .product-bottom {
    width: 100%;
  }
  .product-left {
    padding-right: 0;
  }
  .product-info {
    display: inline-block;
    width: 60%;
    vertical-align: top;
  }
  .product-image {
    display: inline-block;
    width: 39%;
    vertical-align: top;
  }
}
.content-loader {
  text-align:center;
  height:500px;
  margin-top: 100px;
}
@media (max-width: 512px) {
  .product-info,
  .product-image {
    width: 100%;
  }
}

.product-manufacturer {
  padding-bottom:20px ;
  color: #222;
  font-size: 30px;
  font-weight: bold;
  line-height: 1;
  margin: -2px;
}

.product-title {
  font-size: 28px;
  color: #888;
}

.product-price {
  color: #222;
  font-size: 24px;
  letter-spacing: 1px;
}

.product-price-cents {
  text-decoration: underline;
  vertical-align: top;
  padding-left: 3px;
}

.product-image {
  padding: 10px 10px 0 10px;
}

.product-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  height: 295px;
}

.product-description {
  line-height: 1.5;
}

.product-available {
  margin-top: 25px;
}

.product-rating {
  margin-top: 25px;
}

i.fa-star {
  color: #aaa;
  display: inline-block;
}
i.fa-star.rating {
  color: rgb(232, 217, 31);
}
.product-rating-details {
  display: inline-block;
  padding-left: 10px;
}
@media (max-width: 515px) {
  .product-rating-details {
    padding-left: 0;
  }
}
.product-extended {
  color: #235ba8;
  padding-left: 5px;
}
.product-quantity {
  margin-top: 25px;
  margin-bottom: 25px;
}

.product-checkout {
  position: absolute;
  left: 0;
  font-size: 12px;
  text-transform: uppercase;
}
.product-checkout-actions {
  position: absolute;
  right: 0;
}
.product-checkout-total,
.product-checkout-total-amount {
  font-size: 20px;
  color: #c17a41;
}
.product-checkout-total * {
  display: inline-block;
}
.product-checkout-actions {
}

/* 6. Components - buttons, menus, images, etc. */
.product-quantity-label {
  text-transform: uppercase;
}
.product-quantity * {
  display: inline-block;
}

#product-quantity-input {
  background-color: #eee;
  border: none;
  width: 2.5em;
  text-align: center;
}
.product-quantity-subtract,
.product-quantity-add {
  margin-left: 20px;
  padding-left: 5px;
  padding-right: 5px;
}
.product-quantity-subtract {
  margin-right: 20px;
}

h3 {
  font-family: var(--font);
  font-size: 60px !important;
  color: #7f8688;
  font-family: "Lobster";
}
.store-content {
  background: #ffffff;
  width: 60%;
  margin: auto;
}
.store {
  /* height: 100%; */
  /* background: gray; */
  width: 100%;

}

/*main content container*/
.containera {
  /* background-color: #7f8688; */
  border-radius: 5px;
  margin: auto;
  width: 100%;
  padding: 30px;
  margin-bottom: 30px;
  color: white;
  font-family: var(--font2);
  text-align: center;
}
/*main content container*/
.grid {
  display: grid;
  grid-template-columns: auto auto auto;
}
.card-container {
  padding-left: 0 !important;
  height: 100%;
  position: relative;
  overflow: hidden;
  margin: 10px;
}

.prod {
  width: 300px;
  height: 400px;
}

.caption {
  position: absolute;
  top: 0;
  left: 0;
  height: 400px;
  width: 300px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  transition: all 0.5s;
  background-color: black;
  transform: translateX(-100%);
}

.card-container:hover .caption {
  transform: translateX(0);
  opacity: 0.8;
}

.tile {
  background: white;
  width: 100%;
  display: flex;
  text-align: center;
  padding: 10px;
}
.item {
  width: 50%;
  text-align: center;
  margin: 20px;
  align-items: center;
}
.image_container {
  height: 250px;
  width: 250px;
  margin-bottom: 40px;
}
.image_container:hover {
  -ms-transform: scale(1.5);
  -webkit-transform: scale(1.5);
  transform: scale(1.5);
}
</style>
